﻿Imports System.Runtime.CompilerServices
Public Module rtxt

    ''' <summary>Fügt einer RichTextBox einen Text hinzu, Optional zusätzlich den gleichen Text einer List(Of String)</summary>
    ''' <param name="rtb"></param>
    ''' <param name="Text"></param>
    ''' <param name="StringList"></param>
    <Extension>
    Public Sub addRtxt(rtb As RichTextBox, Text As String, Optional StringList As List(Of String) = Nothing)
        rtb.AppendText($"{Text}{Environment.NewLine}")
        rtb.ScrollToCaret()
        If StringList IsNot Nothing Then StringList.Add(Text)
    End Sub

End Module
