﻿Imports System.Runtime.CompilerServices, System.Reflection
Public Module BindingSourceT

	''' <summary>Setzt den BS-Filter und gibt eine Meldung aus, wenn keine Einträge vorhanden sind</summary>
	<Extension>
	Public Sub FilterT(bs As BindingSource, expression As String, ParamArray values() As Object)
		bs.Filter = GetFilterString(expression, values)
		bs.MsgNoEntry
	End Sub

	''' <summary>Filtert die Bindingsource so, dass nichts mehr angezeigt wird</summary>
	<Extension>
	Public Sub ShowNothing(bs As BindingSource, Optional ShowNotAllowedMessage As Boolean = True)
		bs.Filter = "1=0"
		If ShowNotAllowedMessage Then msgError("nicht zur Ansicht berechtigt!")
	End Sub

End Module
